namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 年度人力配置(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrh)]
public class Ghrh_YearHumanSettingsController : BaseController<IGhrh_YearHumanSettingsServices, Ghrh_YearHumanSettings, Ghrh_YearHumanSettingsDto, InsertGhrh_YearHumanSettingsInput, EditGhrh_YearHumanSettingsInput>
{
    public Ghrh_YearHumanSettingsController(IGhrh_YearHumanSettingsServices service) : base(service)
    {
    }

    #region 根据年份查询审批Column
    /// <summary>
    /// 
    /// </summary>
    /// <param name="curentYear"></param>
    /// <param name="langId"></param>
    /// <returns></returns>
    [HttpPost("QueryApplyColumn/{curentYear}/{langId}")]
    public async Task<ServiceResult<List<FlowTableColumn>>> QueryApplyColumn(int curentYear, int langId) => await _service.QueryApplyColumn(curentYear, langId);

    #endregion
}